Use this API to verify enrollment for pending. If the initial registration was completed with verifed = True then this step will not be necessary.
Using this method allows for your service to query the status of the pending registration to determine if the user has verified the factor using the required device. This is required to verify OneLogin Voice where the end-user is required to type the OTP code into the phone. For OneLogin Protect, you can verify if user has enrolled protect by using the verification_token value to manually register protect within the app.
Resource URL
https://<subdomain>.onelogin.com/api/2/mfa/users/<user_id>/registrations/<registration_id>Header Parameter
Authorization required string | Set to Set The access token must have been generated using an API credential pair created using the scope required to call this API. This API can be called using the |
Resource Parameter
user_id required integer | Set to the If you don't know the user's |
registration_id required uuid | Set to the |
Sample Responses
Pending user action to confirm enrollment
- 200 OK
- 401 Unauthorized
[
{
"id": "406fefd4-8a36-4aee-880c-f3e4a928e27d",
"status": "pending",
"device_id": "3919988"
}
]{
"statusCode": 401,
"name": "InvalidCredentials",
"message": "Please provide valid credentials"
}User has confirmed enrollment
- 200 OK
- 401 Unauthorized
[
{
"id": "406fefd4-8a36-4aee-880c-f3e4a928e27d",
"status": "accepted",
"device_id": "3919988"
}
]{
"status": {
"error": true,
"code": 401,
"type": "Unauthorized",
"message": "Authentication Failure"
}
}Response Elements
id | Registration identifier. |
status | pending = registration has not been completed successfully. accepted registration has successfully completed. |
device_id | Device id to be used with Verify the Factor . No device id will be returned if the factor is not in the accepted state. |
Postman Collection
Sample Code
cURL
Replace sample values indicated by < > with your actual values.
curl 'https://<subdomain>.onelogin.com/api/2/mfa/users/<user_id>/registrations/<registration_id>' \
-X GET \
-H "Authorization: bearer <access_token>"
Have a Question?
Found a problem or a bug? Submit a support ticket.
Looking for walkthroughs or how-to guides? Check out our Knowledge Base.
Have a product idea or request? Share it in our Ideas Portal.